<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">

    <title>list users</title>


    <link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
    <link rel="shortcut icon" type="image/x-icon" href="https://img.icons8.com/color/48/000000/list.png"/>


    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- Custom style to overide some colors from native bootstrap styles -->
    <link href="../static/css/styleLoggingPage.css" rel="stylesheet"> <!-- link statyczny -->
    <link rel="stylesheet" th:href="@{/css/styleLoggingPage.css}"> <!-- link dynamiczny podczas pracy aplikacji -->

</head>

<body>

<div class="container">

    <h3>List of users</h3>

    <!-- Buttons on top of table -->
    <div class="row justify-content-end">
        <div class="col-sm-auto">
            <a class="btn btn-primary btn-sm mb-3"  th:href="@{showUserPanel}">User home page</a>
        </div>

        <div class="col-sm-auto">
            <a class="btn btn-primary btn-sm mb-3">Back to logging page</a>
        </div>
        <div class="col-sm-auto">
            <a class="btn btn-primary btn-sm mb-3" th:href="@{showTransactionList}">to transaction list</a>
        </div>



        <div class="col-sm-auto dropdown">
            <a class="btn btn-primary btn-sm mb-3 dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                choice currency
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                <a class="dropdown-item" href="#">Buy Usd - for Pln </a>
                <a class="dropdown-item" href="#">Buy Pln - for Usd</a>
            </div>
        </div>
    </div>

    <!-- List of transaction to buy -->
    <table class="table table-bordered table-striped">
        <thead class="thead-dark">
        <tr>
            <th>id</th>
            <th> User name</th>

            <th>Action</th>
        </tr>
        </thead>

        <tbody>


        <tr th:each="u : ${users}">

            <td th:text="${u.id}"></td>
            <td th:text="${u.name}"></td>

            <td><a href="#" class="btn btn-light" th:href="@{showAddAccountTempl (id=${u.id})}"
                   onclick="if (!(confirm('Are you sure you want to add account?'))) return false"> Add account </a>

                <a href="#" class="btn btn-warning" th:href="@{editUser (id=${u.id})} "
                > edit </a>

                <a href="#" class="btn btn-primary" th:href="@{showAddTransaction (id=${u.id})}"
                   onclick="if (!(confirm('Are you sure you want to add account?'))) return false"> Add transaction </a>

            </td>
        </tr>
        </tbody>
    </table>
</div>


<!-- Bootstrap scripts -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>

</body>

</html>